Subject: Germanium?

From: [email-masked] (Oliver Greeff)
Date: 8 Aug 1995 12:20:01 GMT

I have a question concerning Germanium and its salts or compounds.
iI have heard that it is supposed to be helpful when you do 
experience depressions, but I don't know in what way you are to take it.
iIs it an allopathic substance or rather a kind of dilution, homoeo-
pathic preparation? - 
How does it work, what sort of compound do you take, how long, and 
what does it do to you? 
Any information welcome here or via email to
[email-masked]
Thanks very much